Subject: bug#73470: Rmail is not working with maildirs

From: Marc Coquand <[email-masked]>
Date: Fri, 27 Sep 2024 19:38:15 +0300

Version is GNU Emacs 29.4 (build 2, x86_64-unknown-linux-gnu, X toolkit,
cairo version 1.18.0) of 2024-06-25.

I was able to change so I can read the inbox, I can read inbox files by
changing the command to

(setq rmail-primary-inbox-list
'("maildir:///home/mccd/mail/home/INBOX"))

Ideally though it'd be nice to have all email available from the
subdirectories as well. Perhaps this is not supported by Rmail.

This is the messages output:
Wrote /home/mccd/RMAIL
Computing summary lines...done
X new messages read
Making completion list...

Eli Zaretskii <[email-masked]> writes:

>> From: Marc Coquand <[email-masked]>
>> Cc: [email-masked]
>> Date: Fri, 27 Sep 2024 18:15:46 +0300
>> 
>> 
>> So /mail/home is a directory and the contents are maildir content. There
>> is an INBOX file, cur, new, tmp and directories like Archive,
>> Spam, Trash etc.
>> 
>> rmail-movemail-program is .nix-profile/bin/movemail. The second variable
>> I can not find, even after opening rmail.
>
> What Emacs version is that?
>
> And please describe step by step how you get new email after
> activating Rmail, what messages you see in *Messages* after that, and
> whether there are any files names ".newmail-SOMETHING"  or RMAILOSE.n
> (where n is a number) in the directory that is the default-directoy of
> the Rmail buffer.